Bug 832752 - revelation 0.4.13 debuginfo is empty, should be noarch?
revelation 0.4.13 debuginfo is empty, should be noarch?
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: revelation (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Walter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2012-06-17 03:39 EDT by Ville Skyttä
Modified: 2015-09-18 14:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.4.14-11.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 14:29:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2012-06-17 03:39:50 EDT
revelation 0.4.13 no longer contains any *.so but for some reason it still installs to arch dependent python dirs, is that intentional? If not, I suggest fixing it and changing the package to noarch.

If it is intentional, the debuginfo package should be explicitly disabled because there's nothing to extract debuginfo from, and it ends up empty.
Comment 1 Jef Spaleta 2012-07-03 12:57:56 EDT
Yeah I should disable the debuginfo packages for now.

0.14.4-1 just pushed to testing is still impacted by this.

I'll try to spin up an 0.14.4-2 with the debuginfo disabled before pushing anything to the stable updates repo.

-jef
Comment 2 Fedora End Of Life 2013-07-03 19:19:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Ville Skyttä 2013-07-07 05:10:04 EDT
0.4.14-4.fc19 is still affected.
Comment 4 Ville Skyttä 2014-07-06 17:11:52 EDT
ping
Comment 5 Fedora End Of Life 2015-01-09 12:12:05 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Ville Skyttä 2015-01-12 08:48:03 EST
revelation-0.4.14-8.fc22 is still affected.
Comment 7 Jan Kurik 2015-07-15 11:07:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 8 Fedora Admin XMLRPC Client 2015-09-09 15:30:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2015-09-11 18:25:59 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Update System 2015-09-11 19:20:41 EDT
revelation-0.4.14-11.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15669
Comment 11 Fedora Update System 2015-09-12 17:24:57 EDT
revelation-0.4.14-11.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update revelation'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15669
Comment 12 Ville Skyttä 2015-09-13 02:53:10 EDT
Could you comment on why the package is still not noarch? Sure, its python stuff gets installed to an arch specific python_sitearch dir, but looking at the contents installed there I can't spot anything arch specific in them. So I'm inclined to think that changing the python install dir from sitearch to to sitelib would be the correct (and upstreamable) fix for this, not disabling the debuginfo.
Comment 13 Pete Walter 2015-09-13 06:06:00 EDT
Yes, you are absolutely correct and I too would normally go for changing it to sitelib. In this particular case however the upstream is dead and I don't want to patch this in downstream just to make the package noarch.
Comment 14 Ville Skyttä 2015-09-13 06:36:59 EDT
That's something that deserves to be documented in the specfile, could you do that?
Comment 15 Fedora Update System 2015-09-18 14:29:55 EDT
revelation-0.4.14-11.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.